document.addEventListener("DOMContentLoaded", function() {
  const targetFilterCity = document.querySelectorAll("#filterTargetCity");

  targetFilterCity.forEach(title => {
    title.addEventListener("click", function() {
      const sibling = this.nextElementSibling;
      if (sibling && sibling.classList.contains("wrapperFilterTargetCity")) {
        sibling.classList.toggle("show");
      }
    });
  });
  
});


if( $('#modalShareBtn').length > 0 ){

    // Obtener elementos
    const modal = document.getElementById("modalShareBtn");
    const openModalButtons  = document.querySelectorAll(".openModalShareBtn");
    const closeModalSpan = document.querySelector(".closeShareBtn");

    // Función para abrir el modal
    function openModal() {
        modal.style.display = "block";
    }

    // Función para cerrar el modal
    function closeModal() {
        modal.style.display = "none";
    }

    openModalButtons.forEach(button => {
      button.addEventListener("click", (event) => {
          event.preventDefault(); // Previene comportamiento por defecto (si es necesario)
          openModal();
      });
    });

    // Evento para manejar clics en el documento para cerrar el modal
    document.addEventListener("click", (event) => {
      if (event.target === closeModalSpan || event.target === modal || closeModalSpan.contains(event.target)) {
        // Si se hace clic en el botón de cerrar o fuera del contenido del modal
        closeModal();
      }
    });

  }

document.getElementById('yearSelector').addEventListener('change', function() {
    const selectedYear = this.value;
    const items = document.querySelectorAll('.carousel-indicators li');
    
    items.forEach(item => {
        const itemYear = item.getAttribute('data-anio');
        if (selectedYear === '' || itemYear === selectedYear) {
            item.style.display = 'block'; // Muestra el elemento
        } else {
            item.style.display = 'none'; // Oculta el elemento
        }
    });
});

function setMultimediaTargetContent(targetTab, idWorkProgress){
  $('select[name="avance_obra_anio"]').empty();
  $('#carouselCustomMultiCaptionsAvObra .carousel-indicators').empty();
  $('#carouselCustomMultiCaptionsAvObra .carousel-inner').empty();
  $('select[name="avance_obra_anio"]').append(`<option value="">Seleccionar mes</option>`);


  $('#pills-tab .nav-link').removeClass('active').removeClass('show');
  $('#pills-tabContent .tab-pane').removeClass('show').removeClass('active');

  $('#pills-tab #'+targetTab+"-tab").addClass('active');
  $('#pills-tabContent #'+targetTab).addClass('show');
  $('#pills-tabContent #'+targetTab).addClass('active');


  let workProgressData = localStorage.getItem('workProgressData');
  workProgressData = JSON.parse(workProgressData);

  // Filtrar por un ID específico
  const filteredData = workProgressData.filter(item => item.id === idWorkProgress);

  // Si necesitas acceder solo al campo 'field_work_progress' del ID encontrado
  if (filteredData.length > 0) {
    const fieldWorkProgress = filteredData[0].field_work_progress;
    
    let imgArrayItems = [];
    fieldWorkProgress.forEach(item => {
      $('select[name="avance_obra_anio"]').append(`<option value="`+item.field_fecha+`">`+item.field_fecha+`</option>`);
      
      item.field_imgs.forEach(itemTwo => {
        imgArrayItems.push({'itemTwo':itemTwo,'itemDate':item.field_fecha});
      });

    });
    
    imgArrayItems.forEach((itemThree,index) => {
      let classActive = '';
      if(index == 0){
        classActive = 'active';
      }

      $('#carouselCustomMultiCaptionsAvObra .carousel-indicators').append(`
        <li data-bs-target="#carouselCustomMultiCaptionsAvObra" data-anio="`+itemThree.itemDate+`" data-bs-slide-to="`+index+`" class="`+classActive+`" >
          <img src="`+itemThree.itemTwo+`" width="100%" height="auto" class="d-block w-100" alt="`+itemThree.itemDate+`">
        </li>
      `);
      $('#carouselCustomMultiCaptionsAvObra .carousel-inner').append(`
        <div class="carousel-item `+classActive+`">
          <img src="`+itemThree.itemTwo+`" class="d-block w-100" alt="`+itemThree.itemDate+`">
        </div>
      `);
    }); 

  }
}