document.addEventListener("DOMContentLoaded", function() {

  document.getElementById("btnDownloadSimu").addEventListener("click", function () {

    let dataPdf = {
        project: $('#titleProjectSimu').text(),
        typeAptoProject: $('#type_apto option:selected').text(),
        credito: $('#creditoText').text(),
        cuotaInicialBruta: $('#cuotaIniBrutaText').text(),
        ingresosAdicionales: $('#ingresoAddiText').text(),
        cuotaInicialNeta: $('#cuotaIniNetaText').text(),
        plazoCuotaInicial: $('#plazoCuotIniText').text(),
        cuotaInicialPagoMensual: $('#cuotaInicPagMenText').text(),
        sistemaDeAmortización: $('#sistemAmortText').text(),
        plazoDelCredito: $('#plazoCreditText').text(),
        cuotaCredito: $('#cuotaMensualText').text(),
        emailTo: $('#email_simulador').val(),
        precioInmueble: $('#priceProjectSimu').text()
    };

    setTimeout(() => {
      // Enviar datos por AJAX
      fetch("https://proyectospremium.cbolivar.com/portal-services/pdf/generate-pdf.php", {
        method: "POST",
        headers: {
          "Content-Type": "application/json",
        },
        body: JSON.stringify(dataPdf),
      })
        .then((response) => {
          if (!response.ok) throw new Error("Error al generar el PDF");
          return response.blob(); // Convertir respuesta en Blob
        })
        .then((blob) => {
          // Crear enlace de descarga
          const url = window.URL.createObjectURL(blob);
          const a = document.createElement("a");
          a.href = url;
          a.download = "simulacion.pdf"; // Nombre del archivo
          document.body.appendChild(a);
          a.click();
          a.remove();
        })
        .catch((error) => console.error("Error:", error));
    }, 1000);
  });

  document.getElementById("btnMailSendSimu").addEventListener("click", function () {
    

    let emailSimulador = $('#email_simulador').val();
    let nameSimulador = $('#name_simulador').val();
    

    if(emailSimulador != "" && nameSimulador != ""){
      $('#btnMailSendSimu').addClass('disabled');
      $('#alert_message_simulator').empty();
      $('#alert_message_simulator').append(`
        <div class="alert alert-info" role="alert">
          Por favor espere un momento estamos validando los datos.
        </div>
      `);
    
      let data = {
          project: $('#titleProjectSimu').text(),
          typeAptoProject: $('#type_apto option:selected').text(),
          credito: $('#creditoText').text(),
          cuotaInicialBruta: $('#cuotaIniBrutaText').text(),
          ingresosAdicionales: $('#ingresoAddiText').text(),
          cuotaInicialNeta: $('#cuotaIniNetaText').text(),
          plazoCuotaInicial: $('#plazoCuotIniText').text(),
          cuotaInicialPagoMensual: $('#cuotaInicPagMenText').text(),
          sistemaDeAmortización: $('#sistemAmortText').text(),
          plazoDelCredito: $('#plazoCreditText').text(),
          cuotaCredito: $('#cuotaMensualText').text(),
          nameTo: $('#name_simulador').val(),
          emailTo: $('#email_simulador').val(),
          precioInmueble: $('#priceProjectSimu').text()
      };

      setTimeout(() => {
        $.ajax({
            url: 'https://proyectospremium.cbolivar.com/portal-services/resource.php',
            type: 'POST',
            contentType: 'application/json',
            data: JSON.stringify(data),
            success: function (response) {
              if(response){
                $('#alert_message_simulator').empty();
                $('#email_simulador').val('');
                $('#alert_message_simulator').append(`
                  <div class="alert alert-success" role="alert">
                    Correo enviado correctamente, la página se actualizara en 3 segundos.
                  </div>
                `);

                setTimeout(() => {
                  location.reload();
                }, 3000);
              }else{
                $('#btnMailSendSimu').removeClass('disabled');
                $('#alert_message_simulator').empty();
                $('#alert_message_simulator').append(`
                  <div class="alert alert-success" role="alert">
                    No se envio el correo electrónico, intente mas tarde.
                  </div>
                `);
              }
            },
            error: function () {
              console.log('Error al enviar el correo.');
            }
        });
      }, 1000);
    }else{
      alert('Por favor, ingrese su nombre y correo electrónico');
    }

    
  });

	

	if( $('.owl-carousel-news').length > 0 ){

    $('.owl-carousel-news').owlCarousel({

      loop:false,

      margin:25,

      nav:true,

      dots:false,

      responsiveClass:true,

      responsive:{

          0:{

              items:1

          },

          768:{

              items:1

          },

          1000:{

              items:3

          }

      }

    });

  }





  // Convertir el objeto a JSON y guardarlo en localStorage

  let dataSimulator = localStorage.getItem('projectSimulador');

  dataSimulator = JSON.parse(dataSimulator);

  

  $('#titleProjectSimu').text(dataSimulator.title);

  $('#cityProjectSimu').text(dataSimulator.city);

  $('#imgProjectSimu').attr('src',dataSimulator.img);

  $('#priceProjectSimu').text(convertMoney(dataSimulator.price));

  $('#priceProject').val(dataSimulator.price);

  $('#priceSeparatorProject').val(dataSimulator.priceSeparation);

  $('#plazoCuotaInitialProject').val(dataSimulator.plazoCuotaIni);
  $('#codeSerk').val(dataSimulator.codeSerk);

  let selectTypeAptos = document.getElementById('type_apto');
  let listAptos = JSON.parse(dataSimulator.listTypesApto);
  listAptos.forEach(item => {

    const option = document.createElement('option');

    option.value = item.price;

    option.textContent = item.title;

    selectTypeAptos.appendChild(option);

  });



  if(dataSimulator.areaCard != ""){

    $('.displayDetailsText').append(`

      <div class="itemDisplayDetails">

        <img src="/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/internaProyecto/ico-proyect-1.svg" class="img-fluid" width="24" height="24">

        <span>`+dataSimulator.areaCard+`</span>

      </div>

    `);

  }

  if(dataSimulator.alcobasCard != ""){

    $('.displayDetailsText').append(`

      <div class="itemDisplayDetails">

        <img src="/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/internaProyecto/ico-proyect-2.svg" class="img-fluid" width="24" height="24">

        <span>`+dataSimulator.alcobasCard+`</span>

      </div>

    `);

  }

  if(dataSimulator.banosCard != ""){

    $('.displayDetailsText').append(`

      <div class="itemDisplayDetails">

        <img src="/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/internaProyecto/ico-proyect-3.svg" class="img-fluid" width="24" height="24">

        <span>`+dataSimulator.banosCard+`</span>

      </div>

    `);

  }

  if(dataSimulator.salacomedorCard != 0){

    $('.displayDetailsText').append(`

      <div class="itemDisplayDetails">

        <img src="/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/internaProyecto/ico-proyect-4.svg" class="img-fluid" width="24" height="24">

        <span>`+dataSimulator.salacomedorCard+`</span>

      </div>

    `);

  }



});



function convertMoney(valor) {

  // Redondear el valor a un número entero

  const valorEntero = Math.round(valor);

  

  // Convertir el valor en formato con separadores de miles

  return '$' + valorEntero.toString().replace(/\B(?=(\d{3})+(?!\d))/g, '.');

}



function funcVaidationSendSimulator(e) {

  e.preventDefault;



  let form = $("#formSimulatorInitial")

  if (form[0].checkValidity() === false) {

    event.preventDefault();

    event.stopPropagation();

    form.addClass('was-validated');

  } else {

    funcSendSimulator();

    event.preventDefault();

    event.stopPropagation();

  }

}



function funcSetModality(e){

  let valueMode = e.value;

  $('#value_anio').empty();

  $('#value_anio').append(`<option class="any" value="">Seleccionar año</option>`);



  if(valueMode == 'uvr'){

    funcUVROptions();

  }else{

    funcPesosOptions();

  }

}



function funcUVROptions(){

  // Crear un array asociativo con valores UVR y sus IDs

  const uvrValues = [

    { id: 5, value: 22957 },

    { id: 6, value: 20154 },

    { id: 7, value: 18152 },

    { id: 8, value: 16650 },

    { id: 9, value: 15482 },

    { id: 10, value: 14458 },

    { id: 11, value: 13784 },

    { id: 12, value: 13146 },

    { id: 13, value: 12607 },

    { id: 14, value: 12145 },

    { id: 15, value: 11745 },

    { id: 16, value: 11395 },

    { id: 17, value: 11085 },

    { id: 18, value: 10001 },

    { id: 19, value: 10565 },

    { id: 20, value: 10344 },

    { id: 21, value: 10143 },

    { id: 22, value: 9961 },

    { id: 23, value: 9795 },

    { id: 24, value: 9643 },

    { id: 25, value: 9503 },

    { id: 26, value: 9373 },

    { id: 27, value: 9253 },

    { id: 28, value: 9142 },

    { id: 29, value: 9039 },

    { id: 30, value: 8942 }

  ];



  // Obtener el elemento <select> por su ID

  const selectElemValueAnio = document.getElementById('value_anio');



  // Agregar las opciones al <select>

  uvrValues.forEach(item => {

    const option = document.createElement('option');

    option.value = item.value;

    option.textContent = item.id;

    selectElemValueAnio.appendChild(option);

  });

}



function funcPesosOptions(){

  // Crear un array asociativo con valores UVR y sus IDs

  const pesosValues = [

    { id: 5, value: 23070 },

    { id: 6, value: 20401 },

    { id: 7, value: 18529 },

    { id: 8, value: 17154 },

    { id: 9, value: 16110 },

    { id: 10, value: 15297 },

    { id: 11, value: 14651 },

    { id: 12, value: 14130 },

    { id: 13, value: 13705 },

    { id: 14, value: 13340 },

    { id: 15, value: 13601 },

    { id: 16, value: 12816 },

    { id: 17, value: 12609 },

    { id: 18, value: 12434 },

    { id: 19, value: 12285 },

    { id: 20, value: 12158 }

  ];



  // Obtener el elemento <select> por su ID

  const selectElemValueAnio = document.getElementById('value_anio');



  // Agregar las opciones al <select>

  pesosValues.forEach(item => {

    const option = document.createElement('option');

    option.value = item.value;

    option.textContent = item.id;

    selectElemValueAnio.appendChild(option);

  });

}

function funcSetTypeApto(e){
  let priceProjectValue = e.value;

  if(priceProjectValue != ''){
    $('#wrapperPriceProText').show();
    $('#priceProject').val(priceProjectValue);
    $('#priceProjectSimu').text(convertMoney(priceProjectValue));
  }else{
    $('#wrapperPriceProText').hide();
    let dataSimulatorChange = localStorage.getItem('projectSimulador');
    dataSimulatorChange = JSON.parse(dataSimulatorChange);

    $('#priceProject').val(dataSimulatorChange.price);
    $('#priceProjectSimu').text(convertMoney(dataSimulatorChange.price));
  }
  
}


function funcSendSimulator(){
  
  let codeSerk = $('#codeSerk').val();

  let valueProject = parseInt($('#priceProject').val());

  let credit = Math.round(valueProject * 0.7);

  let cuotaIniBruta = Math.round(valueProject - credit);

  let valueRecurseAditionals = parseInt($('#value_recursos_adicionales').val()) || 0;



  let cuotaIniNeta = Math.abs(Math.round(cuotaIniBruta - valueRecurseAditionals));



  let valuePlazoCuotaIni = parseInt($('#plazoCuotaInitialProject').val());



  let valueCuotaInicialPagoMensual = Math.abs(Math.round(cuotaIniNeta / valuePlazoCuotaIni));



  let valueAmorti = parseInt($('#value_anio').val());

  let valueAmortiTextOption = parseInt($('#value_anio option:selected').text());

  let valuePlazoTextOption = $('#value_plazo option:selected').text();



  let cuotaCreditoMensual = Math.abs(Math.round((credit* valueAmorti) / 1000000));



  
  $('#typeAptoText').text($('#type_apto option:selected').text());
  $('.numTextCuota').text(valueAmortiTextOption);



  $('#creditoText').text(convertMoney(credit));

  $('#cuotaIniBrutaText').text(convertMoney(cuotaIniBruta));

  $('#ingresoAddiText').text(convertMoney(valueRecurseAditionals));

  $('#cuotaIniNetaText').text(convertMoney(cuotaIniNeta));

  $('#plazoCuotIniText').text(valuePlazoCuotaIni+' meses');

  $('#cuotaInicPagMenText').text(convertMoney(valueCuotaInicialPagoMensual));

  $('#sistemAmortText').text(valuePlazoTextOption);

  $('#plazoCreditText').text(valueAmortiTextOption+' años');

  $('#cuotaMensualText').text(convertMoney(cuotaCreditoMensual));





  $('.wrapperCalculator .wrapperCalCuotInitialNot').remove();

  // $('.wrapperCalculator .wrapperCalcRight .btnSimulator:not(.active)').remove();

  //.wrapperCalculator .wrapperDownloadSimul

  $('.wrapperCalculator .wrapperCalCuotInitial').show();
  $('.wrapperCalculator .wrapperDownloadSimul').show();

  $('.btnInfoAs').attr('href','/contacto-simulador?codeProject='+codeSerk);
  

}



// Función para formatear la fecha a dd/mm/yyyy

function formatearFecha(fecha) {

  const dia = String(fecha.getDate()).padStart(2, '0'); // Asegura que el día tenga 2 dígitos

  const mes = String(fecha.getMonth() + 1).padStart(2, '0'); // Asegura que el mes tenga 2 dígitos

  const anio = fecha.getFullYear();

  return `${dia}/${mes}/${anio}`;

}



function soloLetras(e) {

  num = e.value;

  e.value = num.replace(/[^a-zA-Z\s]/g, '');

}



function soloNumeros(e) {

  var num = e.value;

  number = "";

  num = num.replace(/[^0-9]/g, '')

  if (num != "" && num != null) {

    number = Number(num) + "";

  }

  e.value = number

}