document.addEventListener("DOMContentLoaded", function() {



  const input = document.querySelector("#field_number");

  window.intlTelInput(input, {

    preferredCountries: ["co","cl","us","es","au","ca","mx","de","fr","ae","pa","gb","ar"],

    separateDialCode: true,

    utilsScript: "https://cdn.jsdelivr.net/npm/intl-tel-input@18.1.1/build/js/utils.js",

  });

  

  if( $('.owl-carousel-main').length > 0 ){

    $('.owl-carousel-main').owlCarousel({

      loop:true,

      margin:0,

      responsiveClass:true,

      responsive:{

        0:{

            items:1,

            nav:true

        },

        600:{

            items:1,

            nav:false

        },

        1000:{

            items:1,

            nav:true,

            loop:false

        }

      }

    });

  }


  const urlPaises = "https://cbolivar-web-dev.azurewebsites.net/api/paises?_format=json";
  let itemPais = "";
  $.getJSON(urlPaises, function (data) {
    $("#field_country").empty();
    itemPais += '<option value="" >País de residencia</option>';
    for (let i = 0; i < data.length; i++) {
      itemPais +=
        '<option data-id="' + data[i].tid + '" value="' + data[i].name + '">' + data[i].name + "</option>";
    }
    $("#field_country").append(itemPais);
  });


  $("#field_city").on("change", function () {
    const idSelect = $(this).val();
    
    const urlProject = "/constructora-bolivar-v2/api/proyectos-vivienda/" + idSelect +"/all/all/all";
    let itemProject = "";
    $.getJSON(urlProject, function (data) {
      $("#field_project").empty();
      itemProject += '<option value="" >Proyecto</option>';
      for (let i = 0; i < data.length; i++) {
        itemProject +=
          '<option value="' + data[i].field_codigo_serk + '">' + data[i].title + "</option>";
      }
      $("#field_project").append(itemProject);
    });

  });


});



function funcValidLeadsSend() {

  let form = $("#formRegitroLeadsContact");

  

  let numCelular = $('#field_number').val();

  if(numCelular == ""){

  $('#validationNumCel').show();

  }else{

  $('#validationNumCel').hide();

  }

  

  if (form[0].checkValidity() === false) {

    event.preventDefault();

    event.stopPropagation();

    form.addClass('was-validated');

  } else {

    funcLeadsContactSend();

    event.preventDefault();

    event.stopPropagation();

  }

}



function funcLeadsContactSend() {

  const form = document.getElementById("formRegitroLeadsContact");



  let data = new FormData(form);


  if( (data.get("field_city") != "21" && data.get("field_city") != "62") && data.get("field_project") != "" ){

    let apellidos = data.get("field_last_name");

    let objeto = {

      "numeroDocumento": data.get("field_num_document"),

      "primerNombre": data.get("field_name"),

      "primerApellido": data.get("field_last_name"),

      "tipoDocumento": data.get("field_type_document"),

      "motivoVisita": data.get("field_motivo_visita"),

      "canalOrigen": data.get("field_canal_origen"),

      "subCanalOrigen": data.get("field_sub_canal"),

      "origenMedioDigital": "true",

      "segmentoPublicitario": data.get("field_segmento_publicitario"),

      "medioPublicitario": data.get("field_medio_publicitario"),

      "correo": data.get("field_email"),

      "paisContacto": $('#field_country option:selected').text(),

      "celular": data.get("field_number"),

      "cambioMasivoHabeasData": "true",

      "ciudadContacto": $('#field_city option:selected').text(),

      "proyectoOrigen": data.get("field_project")

    }



    $("#formRegitroLeadsContact #btnSubmitLeads").addClass("disabled");

    $('#msg_alert_leads_lc').empty();

    $('#msg_alert_leads_lc').append(`

      <div class="alert alert-info mt-3" role="alert">Espere un momento estamos validando la información</div>

    `);



    fetch('/constructora-bolivar-v2/api/integracion_global_serk', {

        method: 'POST',

        body: JSON.stringify(objeto),

        headers: {

            'Content-Type': 'application/json'

        }

    }).then(res => res.json()).then(data => {

      $('#msg_alert_leads_lc').empty();

      let info_request = data;

      let encontrado1 = info_request.indexOf("Se ha creado el cliente potencial correctamente!");

      let encontrado2 = info_request.indexOf("El cliente potencial ya existe, se asigno tarea para contactar al cliente");

      let encontrado3 = info_request.indexOf("El cliente potencial ya existe como contacto se creo oportunidad para iniciar gestion");

      let encontrado4 = info_request.indexOf("El cliente potencial ya existe!, se encontraba descalificado, se activo nuevamente y se asigno tarea de seguimiento");



      // Imprimir el resultado

      if (encontrado1 != -1 || encontrado2 != -1 || encontrado3 != -1 || encontrado4 != -1) {  

        let page_url = window.location.origin+'/constructora-bolivar-v2//contacto-exitoso';



        if(encontrado1 != -1){

          textMessage = "Se ha creado el cliente potencial correctamente!";

        }else if(encontrado2 != -1){

          textMessage = "El cliente potencial ya existe, se asigno tarea para contactar al cliente";

        }else if(encontrado3 != -1){

          textMessage = "El cliente potencial ya existe como contacto se creo oportunidad para iniciar gestión";

        }else{

          textMessage = "El cliente potencial ya existe!, se encontraba descalificado, se activo nuevamente y se asigno tarea de seguimiento";

        }



        $('#msg_alert_leads_lc').append(`

          <div class="alert alert-success mt-3" role="alert">`+ textMessage + `</div>

        `);

        

        setTimeout(function(){

          window.location.href = page_url;

        }, 4000);

      } else {

        $('#msg_alert_leads_lc').append(`

          <div class="alert alert-danger mt-3" role="alert">Hubo un error en sus solicitud, intente de nuevo más tarde.</div>

        `);

        $("#formRegitroLeadsContact #btnSubmitLeads").removeClass("disabled");

      }



    });

  }else{

    $("#formRegitroLeadsContact #btnSubmitLeads").addClass("disabled");
    $('#msg_alert_leads_lc').empty();
    $('#msg_alert_leads_lc').append(`
      <div class="alert alert-info mt-3" role="alert">Espere un momento estamos validando la información</div>
    `);

    let page_url_two = window.location.origin+'/constructora-bolivar-v2/contacto-exitoso';
    setTimeout(function(){
      $('#msg_alert_leads_lc').empty();
      $('#msg_alert_leads_lc').append(`
        <div class="alert alert-success mt-3" role="alert">Se ha creado el cliente potencial correctamente!</div>
      `);

      setTimeout(function(){
        window.location.href = page_url_two;
      }, 4000);

    }, 4000);
  }



}



function setValueNullNumCel(e){

  let valueField = e.value;

  if(valueField != ""){

      $('#validationNumCel').hide();

  }

}



function soloLetras(e) {

  num = e.value;

  e.value = num.replace(/[^a-zA-Z\s]/g, '');

}



function soloNumeros(e) {

  var num = e.value;

  number = "";

  num = num.replace(/[^0-9]/g, '')

  if (num != "" && num != null) {

    number = Number(num) + "";

  }

  e.value = number

}