const input = document.querySelector("#field_number");
window.intlTelInput(input, {
  preferredCountries: ["co","cl","us","es","au","ca","mx","de","fr","ae","pa","gb","ar"],
  separateDialCode: true,
  utilsScript: "https://cdn.jsdelivr.net/npm/intl-tel-input@18.1.1/build/js/utils.js",
});

function funcValidLeadsSend() {
  let form = $("#formRegitroLeads");
  
  let numCelular = $('#field_number').val();
  if(numCelular == ""){
  $('#validationNumCel').show();
  }else{
  $('#validationNumCel').hide();
  }
  
  if (form[0].checkValidity() === false) {
    event.preventDefault();
    event.stopPropagation();
    form.addClass('was-validated');
  } else {
    funcLeadsSend();
    event.preventDefault();
    event.stopPropagation();
  }
}

function funcLeadsSend() {

  const form = document.getElementById("formRegitroLeads");

  // Evitar el comportamiento predeterminado del formulario
  form.addEventListener('submit', function(event) {
    event.preventDefault();
  });

  let data = new FormData(form);

  let objeto = {
    "numeroDocumento": data.get("field_num_document"),
    "primerNombre": data.get("field_name"),
    "primerApellido": data.get("field_last_name"),
    "tipoDocumento": data.get("field_type_document"),
    "motivoVisita": data.get("field_motivo_visita"),
    "canalOrigen": data.get("field_canal_origen"),
    "subCanalOrigen": data.get("field_sub_canal"),
    "origenMedioDigital": "true",
    "segmentoPublicitario": data.get("field_segmento_publicitario"),
    "medioPublicitario": data.get("field_medio_publicitario"),
    "correo": data.get("field_email"),
    "paisContacto": $('#field_country option:selected').text(),
    "celular": data.get("field_number"),
    "cambioMasivoHabeasData": "true",
    "ciudadContacto": data.get("field_city"),
    "proyectoOrigen": data.get("field_project"),
    "estrategiaMercadeo": data.get("field_marketing_strategy")
  }

  $("#formRegitroLeads #btnSubmitLeads").addClass("disabled");
  $('#msg_alert_leads').empty();
  $('#msg_alert_leads').append(`
    <div class="alert alert-info mt-3" role="alert">Espere un momento estamos validando la información</div>
  `);

  fetch('https://www.constructorabolivar.com/integracion_global_serk/api_global_serk_resource', {
      method: 'POST',
      body: JSON.stringify(objeto),
      headers: {
        'Content-Type': 'application/json'
      }
  }).then(res => res.json()).then(data => {
    $('#msg_alert_leads').empty();
    let info_request = data;
    console.log(info_request);
    let encontrado1 = info_request.indexOf("Se ha creado el cliente potencial correctamente!");
    let encontrado2 = info_request.indexOf("El cliente potencial ya existe, se asigno tarea para contactar al cliente");
    let encontrado3 = info_request.indexOf("El cliente potencial ya existe como contacto se creo oportunidad para iniciar gestion");
    let encontrado4 = info_request.indexOf("El cliente potencial ya existe!, se encontraba descalificado, se activo nuevamente y se asigno tarea de seguimiento");

    // Imprimir el resultado
    if (encontrado1 != -1 || encontrado2 != -1 || encontrado3 != -1 || encontrado4 != -1) {  
      let sPath = window.location.pathname;
      let sPage = sPath.substring(sPath.lastIndexOf("/") + 1);
      let page_url = window.location.origin+'/constructora-bolivar-v2/contacto-exitoso/bogota?proyecto=' + sPage;

      if(encontrado1 != -1){
        textMessage = "Se ha creado el cliente potencial correctamente!";
      }else if(encontrado2 != -1){
        textMessage = "El cliente potencial ya existe, se asigno tarea para contactar al cliente";
      }else if(encontrado3 != -1){
        textMessage = "El cliente potencial ya existe como contacto se creo oportunidad para iniciar gestión";
      }else{
        textMessage = "El cliente potencial ya existe!, se encontraba descalificado, se activo nuevamente y se asigno tarea de seguimiento";
      }

      $('#msg_alert_leads').append(`
        <div class="alert alert-success mt-3" role="alert">`+ textMessage + `</div>
      `);
      
      setTimeout(function(){
        window.location.href = page_url;
      }, 4000);
    } else {
      $('#msg_alert_leads').append(`
        <div class="alert alert-danger mt-3" role="alert">Hubo un error en sus solicitud, intente de nuevo más tarde.</div>
      `);
      $("#formRegitroLeads #btnSubmitLeads").removeClass("disabled");
    }

  }).catch(error => {
      $('#msg_alert_leads').empty();
      $('#msg_alert_leads').append(`
        <div class="alert alert-danger mt-3" role="alert">Hubo un error en sus solicitud, intente de nuevo más tarde.</div>
      `);
      $("#formRegitroLeads #btnSubmitLeads").removeClass("disabled");
  });

}

function setValueNullNumCel(e){
    let valueField = e.value;
    if(valueField != ""){
        $('#validationNumCel').hide();
    }
}

function soloLetras(e) {
  num = e.value;
  e.value = num.replace(/[^a-zA-Z\s]/g, '');
}

function soloNumeros(e) {
  var num = e.value;
  number = "";
  num = num.replace(/[^0-9]/g, '')
  if (num != "" && num != null) {
    number = Number(num) + "";
  }
  e.value = number
}