new Vue({
  delimiters: ["${", "}"],

  el: "#app",

  data() {
    return {
      items: [],

      valorUsd: "",

      valorEur: "",

      currency: "COP",

      currencyIcon: "/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/header/icono-money-cop.svg",

      currencySymbols: {
        COP: "$", // Símbolo para COP

        USD: "", // Símbolo para USD

        EUR: "€", // Símbolo para EUR
      },

      listPrivilegiosAll: [],
      listPrivilegios1: [],
      listPrivilegios2: [],
      listPrivilegios3: [],
      listPrivilegios4: [],
      listPrivilegios5: [],
      listPriviDesta: []
    };
  },

  computed: {
    exchangeRates() {
      return {
        COP: 1,

        USD: this.valorUsd,

        EUR: this.valorEur,
      };
    },
  },

  methods: {
    convertCurrency(price) {
      // Convertir el precio a la moneda seleccionada

      if (this.currency === "COP") {
        return price; // Precio en COP
      } else if (this.currency === "USD") {
        return (price * this.exchangeRates.USD).toFixed(0); // Convertir a USD
      } else if (this.currency === "EUR") {
        return (price * this.exchangeRates.EUR).toFixed(0); // Convertir a EUR
      }
    },

    changeCurrency(selectedCurrency) {
      this.currency = selectedCurrency; // Cambiar la moneda

      // Actualizar el icono de la moneda

      if (selectedCurrency === "COP") {
        this.currencyIcon = "/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/header/icono-money-cop.svg";
      } else if (selectedCurrency === "USD") {
        this.currencyIcon = "/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/header/icono-money-usd.svg";
      } else if (selectedCurrency === "EUR") {
        this.currencyIcon = "/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/header/icono-money-eur.svg";
      }
    },

    async getTrm() {
      const response = await fetch("/constructora-bolivar-v2/api/trm");

      const datrm = await response.json();

      this.valorUsd = datrm[0].field_valor;

      this.valorEur = datrm[1].field_valor;
    },

    async getPriviAll() {
      const response = await fetch(`/constructora-bolivar-v2/api/club-privilegios/all`);
      this.listPrivilegiosAll = await response.json();
      this.listPriviDesta = this.listPrivilegiosAll.filter(item => item.field_destacar === "Verdad");
    },
    async getPriviCemento() {
      const response = await fetch(`/constructora-bolivar-v2/api/club-privilegios/301`);
      this.listPrivilegios1 = await response.json();
    },
    async getPriviLimpieza() {
      const response = await fetch(`/constructora-bolivar-v2/api/club-privilegios/302`);
      this.listPrivilegios2 = await response.json();
    },
    async getPriviPisosParedes() {
      const response = await fetch(`/constructora-bolivar-v2/api/club-privilegios/303`);
      this.listPrivilegios3 = await response.json();
    },
    async getPriviServicios() {
      const response = await fetch(`/constructora-bolivar-v2/api/club-privilegios/304`);
      this.listPrivilegios4 = await response.json();
    },
    async getPriviViajes() {
      const response = await fetch(`/constructora-bolivar-v2/api/club-privilegios/305`);
      this.listPrivilegios5 = await response.json();
    }

  },

  filters: {
    formatPrice(value) {
      //formatear precios

      let val = (value / 1).toFixed(0).replace(".", ",");

      return val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".");
    },
  },

  created() {
    this.getTrm();
    this.getPriviAll();
    this.getPriviCemento();
    this.getPriviLimpieza();
    this.getPriviPisosParedes();
    this.getPriviServicios();
    this.getPriviViajes();
  },
  mounted() {

    // Inicializar el carrusel despuÃ©s de que los elementos sean renderizados

    this.$nextTick(() => {

      setTimeout(() => {

        //OWL Carousel Blogs

        const owlClubPrivi = $('.owl-carousel-club-priv');
        owlClubPrivi.owlCarousel('destroy');

        owlClubPrivi.owlCarousel({
          loop:false,
          dots:true,
          margin:30,
          responsiveClass:true,
          responsive:{
            0:{
                items:1,
                nav:false,
                autoHeight:true
            },
            600:{
                items:1,
                nav:false,
                autoHeight:true
            },
            1000:{
                items:3,
                nav:true
            }
          }
        });

        owlClubPrivi.trigger('refresh.owl.carousel');

        const owlClubPriviDest = $('.owl-carousel-club-priv-des');
        owlClubPriviDest.owlCarousel('destroy');

        owlClubPriviDest.owlCarousel({
          loop:false,
          dots:true,
          nav:false,
          margin:30,
          responsiveClass:true,
          responsive:{
            0:{
                items:1
            },
            600:{
                items:1
            },
            1000:{
                items:1
            }
          }
        });

        owlClubPriviDest.trigger('refresh.owl.carousel');

      }, 3500);

    });

  }
});
