new Vue({

    delimiters: ["${", "}"],

    el: '#app',

    data() {

        return {

            isShow: false,

            items: [],

            valorUsd: '',

            valorEur: '',

            currentPage: 1,

            itemsPerPage: 9,

            currency: 'COP',

            currencyIcon: '/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/header/icono-money-cop.svg',

            currencySymbols: {

                COP: '$',   // Símbolo para COP

                USD: '', // Símbolo para USD

                EUR: '€',   // Símbolo para EUR

            },

            searchNameProject: '',// Término de búsqueda ingresado por el usuario

            appliedSearchQuery: '', // Término aplicado al hacer clic en el botón

            citysTaxo: '', // Filtro de ciudad

            sectorsTaxo: '', // Filtro de sector

            typeVivienTaxo: '', // Filtro de tipo de vivienda

            statusTaxo: '', // Filtro de estado

            listFilterCitys: [],

            listFilterTypeVivi: [],

            listFilterStatus: [],

            listFilterSectors: [],

            selectedSectors: [] // Sectores seleccionados

        };

    },

    computed: {

      exchangeRates() {

        return {

            COP: 1,

            USD: this.valorUsd,

            EUR: this.valorEur

        };

      },

    },

    methods: {

        convertCurrency(price) {

            // Convertir el precio a la moneda seleccionada

            if (this.currency === 'COP') {

                return (price); // Precio en COP

            } else if (this.currency === 'USD') {

                return (price * this.exchangeRates.USD).toFixed(0); // Convertir a USD

            } else if (this.currency === 'EUR') {

                return (price * this.exchangeRates.EUR).toFixed(0); // Convertir a EUR

            }

        },

        changeCurrency(selectedCurrency) {

            this.currency = selectedCurrency; // Cambiar la moneda



            // Actualizar el icono de la moneda

            if (selectedCurrency === 'COP') {

                this.currencyIcon = '/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/header/icono-money-cop.svg';

            } else if (selectedCurrency === 'USD') {

                this.currencyIcon = '/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/header/icono-money-usd.svg';

            } else if (selectedCurrency === 'EUR') {

                this.currencyIcon = '/constructora-bolivar-v2/themes/custom/constructorabolivar/assets/header/icono-money-eur.svg';

            }

        },

        async getTrm() {

          const response = await fetch('/constructora-bolivar-v2/api/trm');

          const datrm = await response.json();

          this.valorUsd = datrm[0].field_valor;

          this.valorEur = datrm[1].field_valor;

        }



    },

    filters: {

      formatPrice(value) {

        //formatear precios

        let val = (value / 1).toFixed(0).replace(".", ",");

        return val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".");

      },

    },

    created() {

      this.getTrm();

    },

});